My iBird Pro 2.0 won’t install – Update to Version 2.2

If you have purchased iBird 2.0 for your Kindle Fire you may have received an error message when you tried to install the app. If so please update to the newest version of iBird Pro version 2.2.

 

This problem started on July 20, 2012 and both we and Amazon have been unable to figure out what caused it. The latest theory is the app became damaged on the Amazon servers, but we have no proof. However the solution is to uninstall version 2.0 and reinstall the new version 2.2. You can determine the version number by going to the More page and looking at the very top where it will show About iBird 2.2.1. 

 

If you continue to have problems please contact us at iBird Contact Us.

Comments are closed.